Iterator::next
Iterator::valid
Iterator
PHP Manual

# Iterator::rewind

(PHP 5 >= 5.0.0)

Iterator::rewind — Rewind the Iterator to the first element

### Description

abstract public void Iterator::rewind ( void )

Rewinds back to the first element of the Iterator.

> Note:

> This is the first method called when starting a foreach loop. It will not be executed after foreach loops.

### Parameters

This function has no parameters.

### Return Values

Any returned value is ignored.

Iterator::next
Iterator::valid
Iterator
PHP Manual